gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object GLib.IWrapper This object contains the fields that are common to all Event classes. Any Gdk.Event* can be safely cast to a Gdk.Event This class is equivalent to the GdkEventAny structure in the C API.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  Gdk.Event `` a Gets an Event or Event subclass for a native event pointer. a
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.IntPtr IntPtr for the unmanaged structure. The to the unmanaged GdkEvent structure. This property should rarely if ever need to be accessed.
- Method
  2.12.0.0
  Gdk.Event `` Native event pointer. Creates a managed event from a native pointer. A managed event instance.
- Property
  2.12.0.0
  System.Boolean true if the event was sent explicitly (e.g. using XSendEvent). true if the event was sent explicitly (e.g. using XSendEvent). None.
- Property
  2.12.0.0
  Gdk.EventType the type of the event. the type of the event. None.
- Property
  2.12.0.0
  Gdk.Window The window which received the event. The window which received the event. This is a not a .